#!/usr/bin/perl -w
use strict;

(my $dir = $0) =~ s#[^/]+$##;
$dir .= "/../dvipdfm";

binmode IN;
open(IN, "< $dir/cid.map") || die "cid.map not found in $dir";

while (<IN>) {
    if (s/^\%\%//) {
	print "$_";
    } elsif (s/^\%//) {
	print "      $_";
    } elsif (/\S/) {
	print "      $_";
    } else {
	print "\n";
    }
}

close(IN);
